SystemOrganization addCategory: #reunidosTADP!

Object subclass: #CriterioMultiple
	instanceVariableNames: 'criterios'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'reunidosTADP'!

!CriterioMultiple methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:11'!
criterios
^criterios! !

!CriterioMultiple methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:13'!
criterios: unaColeccionDeSimbols
criterios:= unaColeccionDeSimbols ! !

!CriterioMultiple methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:11'!
filtra: unaColeccionDePersonas
unaColeccionDePersonas select: [:candidato | self criterios allSatisfy: [:c| candidato c.]]! !

Object subclass: #CriterioUnico
	instanceVariableNames: 'condicion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'reunidosTADP'!

!CriterioUnico methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 19:30'!
condicion: unSimbol
condicion:= unSimbol! !

!CriterioUnico methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 19:30'!
filtra: unaColeccionDePersonas
unaColeccionDePersonas select: [:candidato | self condicion: candidato]
! !

Object subclass: #Persona
	instanceVariableNames: 'proyecto rol sector costo edificio nombre'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'reunidosTADP'!

!Persona class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/14/2012 12:02'!
nuevaAsignadaA: unProyecto conRol: unRol enUnEdificio: unEdificio
self new proyecto: unProyecto; rol: unRol; edificio: unEdificio.! !

!Persona methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 10:44'!
edificio: unEdificio
edificio:= unEdificio! !

!Persona methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 13:30'!
nombre
^nombre! !

!Persona methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 13:22'!
nombre: unNombre
nombre:= unNombre! !

!Persona methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 10:44'!
proyecto: unProyecto
proyecto:= unProyecto! !

!Persona methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 10:44'!
rol: unRol
rol:= unRol! !

Object subclass: #Requerimiento
	instanceVariableNames: 'rol proyecto sector nombre requerimientosDeTurno'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'reunidosTADP'!

!Requerimiento commentStamp: 'ClaraAllende 4/13/2012 13:21' prior: 0!
Esta clase representa los posibles requerimientos para convocar a una persona a una reunin. Se puede instanciar un requerimiento usando todos los mensajes definidos (rol, proyecto, sector, nombre) o combinaciones de ellos.

Instance Variables:
	rol	<ProtoObject | PseudoContext>
	proyecto	<ProtoObject | PseudoContext>
	sector	<ProtoObject | PseudoContext>
	nombre	<ProtoObject | PseudoContext>!

!Requerimiento class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:19'!
nuevoConReqs: unosReqs 
^self new requerimientosDeTurno: unosReqs.! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 19:23'!
filtrarPor: unaColeccinDeCriterios

unaColeccinDeCriterios do: [:criterio | criterio filtra: self personas].
! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:20'!
nombre
^nombre! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:20'!
nombre: unNombre
nombre:= unNombre ! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 11:40'!
proyecto
^proyecto! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 11:40'!
proyecto: unProyecto
proyecto:= unProyecto ! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:17'!
requerimientosDeTurno 
^requerimientosDeTurno! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:17'!
requerimientosDeTurno: unosReqs
requerimientosDeTurno:= unosReqs.! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 11:39'!
rol
^rol! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 11:39'!
rol: unRol
rol:= unRol! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 11:41'!
sector
^sector! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 11:40'!
sector: unSector
sector:= unSector! !

!Requerimiento methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:16'!
selecccionrAsistentes
self filtrarPor: self requerimientosDeTurno! !

Object subclass: #Reunion
	instanceVariableNames: 'host asistentes recursos edificio duracion requerimiento proyecto'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'reunidosTADP'!

Reunion class
	instanceVariableNames: 'duracion'!

Reunion class
	instanceVariableNames: 'duracion'!

!Reunion class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/14/2012 12:03'!
nuevaConRequerimiento: unRequerimiento convocadaPor: unHost
self new host: unHost; requerimiento: unRequerimiento.! !

!Reunion class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 18:38'!
nuevaConRequerimiento: unRequerimiento convocadaPor: unHost duracion:  duracion
self new host: unHost; requerimiento: unRequerimiento; duracion: duracion.! !

!Reunion methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 20:14'!
convocarAsistentes
	self asistentes: self requerimiento seleccionarAsistentes! !

!Reunion methodsFor: 'accessing' stamp: 'ClaraAllende 4/15/2012 18:46'!
duracion
^duracion! !

!Reunion methodsFor: 'accessing' stamp: 'ClaraAllende 4/15/2012 18:43'!
duracion: unaDuracion
duracion:= unaDuracion ! !

!Reunion methodsFor: 'accessing' stamp: 'ClaraAllende 4/15/2012 18:44'!
host
^host! !

!Reunion methodsFor: 'accessing' stamp: 'ClaraAllende 4/13/2012 10:52'!
host: elHost
host:= elHost! !

!Reunion methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/13/2012 13:37'!
proyecto
^self host proyecto.! !

!Reunion methodsFor: 'accessing' stamp: 'ClaraAllende 4/15/2012 18:44'!
requerimiento
^requerimiento! !

!Reunion methodsFor: 'accessing' stamp: 'ClaraAllende 4/12/2012 12:55'!
requerimiento: unRequerimiento
requerimiento:= unRequerimiento! !

Object subclass: #Sala
	instanceVariableNames: 'canionesYLaptops'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'reunidosTADP'!

!Sala methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/15/2012 17:52'!
recursosDisponibles
^self recursos select: [:recurso | recurso estaDisponible]! !
